Multiple instances of xfdesktop started simultaneously

Bug #329616 reported by Sergey
196
This bug affects 27 people
Affects Status Importance Assigned to Milestone
Xfce4 Desktop
Confirmed
Unknown
xfdesktop4 (Ubuntu)
High
Unassigned
Declined for Dapper by Lionel Le Folgoc
Declined for Hardy by Lionel Le Folgoc
Declined for Intrepid by Lionel Le Folgoc
Nominated for Jaunty by Charlie Kravetz
Nominated for Karmic by Rolf Leggewie
Nominated for Lucid by r12056
xfwm4 (Ubuntu)
Undecided
Unassigned
Declined for Dapper by Lionel Le Folgoc
Declined for Hardy by Lionel Le Folgoc
Declined for Intrepid by Lionel Le Folgoc
Nominated for Jaunty by Charlie Kravetz
Nominated for Karmic by Rolf Leggewie
Nominated for Lucid by r12056

Bug Description

A recent upgrade (two-three days ago), resulted in the following problem:

1. XFCE session starts with flickering icons on desktop and multiple windows (attached) showing message "Unable to contact the Xfce Trash service."
2. Dozens (sometimes over 50) copies of xfdesktop process are started (see attached output of ps).

Killing all those xfdesktop processes results in absence of desktop wallpaper and icons, but at least the computer becomes usable. I also tried eliminating all but one xfdesktop entries in XFCE session configuration (Xfce4 Settings Manager -> Session and Startup -> Session tab), but on next login the same multiple xfdesktop processes are started again.

WORKAROUND:
  1. open a terminal to do these commands
  2. rm -rf ~/.cache/sessions
        This will delete the Xfce4 saved sessions files for your user
  3. restart the system, without saving the session when you hit Quit/restart

If that fails, please do steps 1 and 2 above, then continue here.
You may have to reset some custom configuration items, such as panels, if you apply this.

  3. rm -rf ~/.config/xfce4/desktop
        This will delete the Xfce4 saved desktop files for your user
  4. restart the system, without saving the session when you hit Quit/restart

Another option is to try removing xsplash:
(you won't get the pretty fireflys after login)
   sudo apt-get remove xsplash

Related branches

Revision history for this message
Sergey (hvmptydvmpty) wrote :
Revision history for this message
Sergey (hvmptydvmpty) wrote :
Revision history for this message
Sergey (hvmptydvmpty) wrote :
Revision history for this message
Charlie Kravetz (charlie-tca) wrote :

Thank you for your report and supporting documents. What version of Xubuntu are you using (you can find it with 'lsb_release -rd')?

Changed in xfdesktop4:
status: New → Incomplete
Revision history for this message
Sergey (hvmptydvmpty) wrote :

Description: Ubuntu jaunty (development branch)
Release: 9.04

Revision history for this message
markor (markoresko) wrote :

I confirm this bug report. I am testing Xubuntu Jaunty 9.04 amd64, 20090216,
xfdesktop start so many times and never stop starting. if fulls up memory (1GB and Up) with xfdesktop`s
processes and starts to go on swap (My machine has 2GB of ram, 1792MB for Linux, 256MB for integrated
graphics).

I cannot log in to Xfce because of that and need to go to killall xfdesktop with Ctrl+Alt+F2.
(And killing X with Ctrl+Alt+Backspace)
I temporarely removed xfdesktop with aptitude from command line and I can log on Xfce
but without desktop and also there is no Xfce Menu anymore.

It is major block for further testing and bug reporting for me.

i tried to force previous version of xfdesktop in synaptic but with no luck.

Changed in xfdesktop4:
status: Incomplete → Confirmed
Revision history for this message
markor (markoresko) wrote :

Just to mention that few days ago, i seen multiple xfdesktop instances cumulating on every log in and log out
but I could work with system.
But after recent update, problem grows to unusable state.

Revision history for this message
Charlie Kravetz (charlie-tca) wrote :

@markor: please do not set the status to confirmed without setting the importance. Status tells bugsquad and developers what is happening with the bug. When it is set confirmed without importance, it tends to get ignored.

Thanks for reporting this bug and any supporting documentation. Since this bug has enough information provided for a developer to begin work, I'm going to mark it as confirmed and let them handle it from here. Thanks for taking the time to make Xubuntu better!

Changed in xfdesktop4:
importance: Undecided → Medium
status: Confirmed → Triaged
Revision history for this message
Michael Evans (mjevans1983) wrote :
Download full text (3.6 KiB)

Setting importance is a problem; only a restricted set of users may set it.

I believe this bug may be effecting me as well. It seems to thrash the system for around 5 min, and then I'm left with a bazillion sleeping processes.

 4635 root 20 0 845m 474m 39m R 8 23.9 0:41.44 Xorg
30934 user 20 0 24388 3368 568 S 4 0.2 0:03.67 dbus-daemon
30943 user 20 0 170m 6112 3872 S 4 0.3 0:02.64 xfce4-session
   10 root 15 -5 0 0 0 S 3 0.0 32:47.59 events/1
 1431 root 15 -5 0 0 0 R 2 0.0 0:25.96 kcryptd
  320 root 15 -5 0 0 0 S 1 0.0 0:02.93 kswapd0
31061 user 20 0 166m 3640 2524 S 1 0.2 0:00.19 xfce4-settings-
30974 user 20 0 162m 6956 5472 D 1 0.3 0:01.12 xfwm4
32501 user 20 0 224m 12m 3788 S 1 0.6 0:00.59 python
31323 user 20 0 145m 5096 3908 S 1 0.3 0:00.39 xfce4-cpugraph-
  457 user 20 0 0 0 0 Z 0 0.0 0:00.07 xfdesktop <defunct>
  459 user 20 0 0 0 0 Z 0 0.0 0:00.07 xfdesktop <defunct>
  476 user 20 0 168m 5172 3996 S 0 0.3 0:00.07 xfdesktop
  486 user 20 0 168m 5172 3996 S 0 0.3 0:00.07 xfdesktop
  424 user 20 0 168m 5172 3996 S 0 0.3 0:00.06 xfdesktop
  430 user 20 0 0 0 0 Z 0 0.0 0:00.06 xfdesktop <defunct>
  437 user 20 0 0 0 0 Z 0 0.0 0:00.06 xfdesktop <defunct>
  448 user 20 0 168m 5176 3996 S 0 0.3 0:00.06 xfdesktop
  461 user 20 0 0 0 0 Z 0 0.0 0:00.06 xfdesktop <defunct>
  489 user 20 0 168m 5172 3996 S 0 0.3 0:00.06 xfdesktop
  496 user 20 0 168m 5172 3996 S 0 0.3 0:00.06 xfdesktop
  509 user 20 0 168m 5172 3996 S 0 0.3 0:00.06 xfdesktop
  423 user 20 0 0 0 0 Z 0 0.0 0:00.05 xfdesktop <defunct>
  425 user 20 0 168m 5172 3996 S 0 0.3 0:00.05 xfdesktop
  431 user 20 0 168m 4944 3824 S 0 0.2 0:00.05 xfdesktop
  440 user 20 0 0 0 0 Z 0 0.0 0:00.05 xfdesktop <defunct>
  441 user 20 0 168m 5172 3996 S 0 0.3 0:00.05 xfdesktop
  442 user 20 0 0 0 0 Z 0 0.0 0:00.05 xfdesktop <defunct>
  445 user 20 0 168m 5172 3996 R 0 0.3 0:00.05 xfdesktop
  447 user 20 0 168m 5172 3996 S 0 0.3 0:00.05 xfdesktop
  449 user 20 0 168m 5172 3996 S 0 0.3 0:00.05 xfdesktop
  450 user 20 0 0 0 0 Z 0 0.0 0:00.05 xfdesktop <defunct>
  456 user 20 0 168m 5176 3996 S 0 0.3 0:00.05 xfdesktop
  458 user 20 0 168m 5172 3996 S 0 0.3 0:00.05 xfdesktop
  470 user 20 0 168m 5172 3996 S 0 0.3 0:00.05 xfdesktop
  471 user 20 0 0 0 0 Z 0 0.0 0:00.05 xfdesktop <defunct>
  474 user 20 0 0 0 0 Z 0 0.0 0:00.05 xfdesktop <defunct>
  477 user 20 0 0 0 0 Z 0 0.0 0:00.05 xfdesktop <defunct>
  478 user 20 0 168m 5172 3996 S 0 0.3 0:00.05 xfdesktop
  480 user 20 0 0 0 0 Z 0 0.0 0:00.05 xfdesktop <defunct>...

Read more...

Revision history for this message
Kreuger Burns (car-crazy33) wrote :

I too have this problem. I've attached a screenshot of the gnome system monitor showing running processes.

Revision history for this message
Ricky Hewitt (rickyhewitt) wrote :

I can confirm having this problem. It results in the spawning of hundreds of xfdesktop processes, until all my memory is swamped. I do not have a problem with the xfce trash service though.

description: updated
Revision history for this message
Sergey (hvmptydvmpty) wrote :

The workaround did the trick for me (with fresh updates for Jaunty).

Revision history for this message
Lionel Le Folgoc (mrpouit) wrote :

If you are still experiencing this issue, could you try to set XFSM_VERBOSE before starting xfce4-session (for example, by appending "export XFSM_VERBOSE=1" to ~/.profile), and attach ~/.xfce4-session.verbose-log that should have been created? Thanks!

Revision history for this message
Lionel Le Folgoc (mrpouit) wrote :

> If you are still experiencing this issue

I mean, after having tried the workaround (delete ~/.cache/sessions) without success.

Revision history for this message
Jacob Litewski (j.litewski) wrote :

I had to disable gdm and create a new user to use the workaround. Hopefully this doesn't come back any time soon.

Revision history for this message
K_Mux (f-p-d) wrote :

I had the same problem, and used the workaround. After some time, the problem came back. I now get ~6 instances of xfdesktop at startup. I attached the xfce4-verbose log to this post.

I'll leave the system 'as is' for some time ( using num=`ps x | grep 'xfdesktop' | wc | cut -c 4-8`; num=$(( ${num} - 2 )); for process in `ps x | grep 'xfdesktop' | cut -c -5 | head -${num}`; do; kill $process; done as "workaround" for now), so if some developer needs some tests done - feel welcome to ask.

Revision history for this message
Olivier Berger (oberger) wrote :
Download full text (3.5 KiB)

Same here :
$ ps -edf f | grep xfdesktop | wc -l
18

See attached log.

Also :
$ ls -l ~/.cache/sessions
total 60
-rw-r--r-- 1 user user 0 2008-10-25 17:45 Thunar-117f000101000122494950000000072860002
-rw-r--r-- 1 user user 15942 2009-04-24 08:38 xfce4-session-delphine-laptop:0
-rw-r--r-- 1 user user 14838 2009-04-24 08:36 xfce4-session-delphine-laptop:0.bak
-rw-r--r-- 1 user user 0 2009-01-19 08:04 xfwm4-117f000101000122495007200000119480000
-rw-r--r-- 1 user user 0 2009-04-12 12:33 xfwm4-20978859f-6a4d-4dca-b967-e9f939fa5e71
-rw-r--r-- 1 user user 531 2009-02-21 17:19 xfwm4-2191852ac-74a8-40dc-bd8c-ce390e568f86
-rw-r--r-- 1 user user 0 2009-04-13 10:11 xfwm4-236112b70-5833-41e6-baf7-ec6d2ed94687
-rw-r--r-- 1 user user 736 2009-04-11 06:59 xfwm4-23ce70605-52c5-46af-98b7-d99307525d36
-rw-r--r-- 1 user user 0 2009-04-12 18:02 xfwm4-24ffaa300-a8fd-407d-bb3b-06ffe5f14d47
-rw-r--r-- 1 user user 0 2009-04-13 09:44 xfwm4-274440c52-d190-4019-9bda-3d368e939f13
-rw-r--r-- 1 user user 0 2009-04-24 08:36 xfwm4-27f495a78-e6c9-4c3d-b15e-9a942830edac
-rw-r--r-- 1 user user 0 2009-04-12 16:27 xfwm4-28962b178-f7b9-425f-b5db-f16975b2a5c2
-rw-r--r-- 1 user user 646 2009-04-11 22:09 xfwm4-297ce95b9-3029-4f92-b2db-617e4d08ea46
-rw-r--r-- 1 user user 0 2009-02-21 23:41 xfwm4-29f3d6ede-1c5b-4f36-94ac-1e6f3eca2b6f
-rw-r--r-- 1 user user 531 2009-04-24 08:38 xfwm4-2a03e8166-57e7-44ff-b8ca-47bfe5a485ba
-rw-r--r-- 1 user user 362 2009-02-22 09:41 xfwm4-2b1de07a0-ef84-4763-a283-2269c42eee54
-rw-r--r-- 1 user user 0 2009-01-19 08:51 xfwm4-2cce8ed75-63f3-4240-8e53-344fd6d4f71b
-rw-r--r-- 1 user user 867 2009-04-18 08:10 xfwm4-2deb52720-6c27-48fc-9035-78469db86e81
-rw-r--r-- 1 user user 0 2009-04-12 11:08 xfwm4-2e19b09f0-0084-407b-b9b3-638a48593dbc
-rw-r--r-- 1 user user 1134 2009-04-12 15:47 xfwm4-2e7b55c0d-0092-42e7-a03e-4f3b79c52404
-rw-r--r-- 1 user user 0 2009-04-12 13:54 xfwm4-2f33510d3-6442-4ee0-ae4a-ffce86f59bf5

$ rgrep -c xfdesktop ~/.cache/sessions/
/home/user/.cache/sessions/xfwm4-2cce8ed75-63f3-4240-8e53-344fd6d4f71b:0
/home/user/.cache/sessions/xfwm4-2e7b55c0d-0092-42e7-a03e-4f3b79c52404:0
/home/user/.cache/sessions/xfwm4-2a03e8166-57e7-44ff-b8ca-47bfe5a485ba:0
/home/user/.cache/sessions/xfwm4-28962b178-f7b9-425f-b5db-f16975b2a5c2:0
/home/user/.cache/sessions/xfwm4-297ce95b9-3029-4f92-b2db-617e4d08ea46:0
/home/user/.cache/sessions/xfwm4-29f3d6ede-1c5b-4f36-94ac-1e6f3eca2b6f:0
/home/user/.cache/sessions/xfwm4-117f000101000122495007200000119480000:0
/home/user/.cache/sessions/xfwm4-20978859f-6a4d-4dca-b967-e9f939fa5e71:0
/home/user/.cache/sessions/xfwm4-2b1de07a0-ef84-4763-a283-2269c42eee54:0
/home/user/.cache/sessions/xfce4-session-delphine-laptop:0.bak:51
/home/user/.cache/sessions/xfwm4-23ce70605-52c5-46af-98b7-d99307525d36:0
/home/user/.cache/sessions/xfwm4-2deb52720-6c27-48fc-9035-78469db86e81:0
/home/user/.cache/sessions/xfwm4-2e19b09f0-0084-407b-b9b3-638a48593dbc:0
/home/user/.cache/sessions/xfwm4-2191852ac-74a8-40dc-bd8c-ce390e568f86:0
/home/user/.cache/sessions/xfwm4-236112b70-5833-41e6-baf7-ec6d2ed94687:0
/home/user/.cache/sessions/xfwm4-274440c52-d190-4019-9bda-3d368e939f13:0
/home/user/.c...

Read more...

Revision history for this message
Christian Siefkes (christian-siefkes) wrote :

I had the same problem, after updating to Jaunty my system became practically unusable. I just removed 69 files from the ~/.cache/sessions directory.

Revision history for this message
James M. Cooper (jmichc) wrote :

I just thought I'd chime in as one more person wrestling with this bug in Xubuntu 9.04/XFCE4.6. It has finally reached the point that I have decided to temporarily take a break from using XFCE. I did remove ~/.cache/sessions as well as ~/.config/xfce4/desktop, and restart without saving the session -- but I was nevertheless greeted once again with something like ten 'UNABLE TO CONTACT THE XFCE TRASH SERVICE' notifications, and still finding that many, many instances of xfwm4 were simultaneously running.

In this case, I am running XFCE on a Dell Mini 9 with the standard 512MB of RAM, and no swap (due to the limited size of the SSD), and have had the little machine lock up hard a number of times now, when trying to log-in to an XFCE session. In a situation like this, it is kind of imperative to get this all straightened out, before once again switching back to XFCE.

(I hope this is not a completely worthless comment. I would just like to suggest that this bug can be quite serious to a few of the unlucky folks who encounter it.)

Revision history for this message
ddoxey (dylan-doxey) wrote :

I am also suffering from this multiple xfdesktop affliction.

Items of note:
1. the problem is present on my laptop which was a fresh Jaunty install
2. the problem is not evident on either of my desktops which have been dist-upgraded.

Also, there may be more severity based on how long the laptop sits at the login screen before logging in.

I'm attaching my .xfce4-session.verbose-log.

Changed in xfdesktop:
status: Unknown → Confirmed
Revision history for this message
Kreuger Burns (car-crazy33) wrote :

I've had this problem reoccur a couple of times. Is there anyway I can implement this into a bash script that I can maybe use on startup?

Revision history for this message
Meshako (chuck-dextopian) wrote :

Same here...AMD64....

Revision history for this message
Rolf Leggewie (r0lf) wrote :

Increasing importance to critical. I am running Karmic and it seems to have gotten worse. Removing ~/.cache/sessions doesn't seem to ultimately fix it (and it isn't really a fix because as I understand, some real data is killed doing so). The close to 100 instances of xfdesktop I usually have become active regularly and at those times the computer reaches a load of 100 and is unusable for several minutes. The man page says "Only one instance of xfdesktop can be running at a time" so this is bound to create problems.

Changed in xfdesktop4 (Ubuntu):
importance: Medium → Critical
Rolf Leggewie (r0lf)
tags: added: karmic
Revision history for this message
Rolf Leggewie (r0lf) wrote :

Lionel, here are the logs you requested in comment 14. I hope they are meaningful to you.

Revision history for this message
Antonio J. de Oliveira (ajoliveira) wrote :

I'm seeing this on a test machine running 32-bit Jaunty since I converted from ext3 to ext4.

Revision history for this message
Antonio J. de Oliveira (ajoliveira) wrote :

Just clearing the cache seems to have worked for me, will see, got just one xfcedesktop process now.

Revision history for this message
Antonio J. de Oliveira (ajoliveira) wrote :

By the way, instead of just clicking the exit button, ensure all your xfcedesktop processes are killed, then go to applications/settings/session and startup and make sure that "automatically save session on logout is" un-selected.
Then, go to a terminal and type #sudo reboot.
That's what I did. Mybe it will work for you as well.

Revision history for this message
K_Mux (f-p-d) wrote :

I use ext2 for / and ext3 for /home, so the filesystem does not seem to be the culprit here.

By the way, over the course of the past months, I have noted that the problem seems to pop up mostly when I am booting with an external monitor connected to my netbook.
Are the other bug reporters using laptop or desktop systems? With or without an external monitor?

Revision history for this message
Antonio J. de Oliveira (ajoliveira) wrote :

Using an outdated Toshiba Satellite Pro 4600 with 512kof RAM, no external monitor. Using ext4 allover. The bug does not show on any of our xfce desktops or on my main Clevo M761S laptop, using 64-bit Xubuntu 9.04.

Revision history for this message
Rolf Leggewie (r0lf) wrote :

/me raises hand

I use a Thinkpad X24 notebook. When at home, I connect an external LCD device to it. Since xrandr support in XFCE is still lacking, one of the first things I do after login is "xrandr --output VGA-0 --auto --right-of LVDS"

Antonio, 512K of RAM? My sympathies ;-)

Revision history for this message
Antonio J. de Oliveira (ajoliveira) wrote :

Thanks for the sympathies, I always like to have some old bits around, my main laptop has 4GB memory and I never spent more than about 2.7G even with a virtual xp machine (virtualbox) on top, but I can do with 512kB as well, it depends of what I'm doing, the same with a Fiat 500 and a Fiat barchetta, each one has its application... ;-)
By the way, our xubuntu system can live happily with 512k, if you don't open 1 ton apps!!!

I remembered something, maybe we are dealing with a permissions problem (well, we shouldn't) but on that laptop I have umask set to 0 on /etc/profile, well I have to check ~/.local/share/Trash permissions on that laptop, every file I record is 777 on permissions. Just a hint, will check it tomorrow...

Revision history for this message
Rolf Leggewie (r0lf) wrote :

I am now up to over 1.000 xfdesktop processes starting on login. Can we please do something about this?

Revision history for this message
Antonio J. de Oliveira (ajoliveira) wrote :

Hi

Have you tried on a terminal:

killall -g KILL xfcedesktop

and then

rm -rf ~/.cache/sessions

and then

sudo reboot

that worked for me on the computer I was having the problem on, if I don't miss anything.

Best of luck

Revision history for this message
Rolf Leggewie (r0lf) wrote :

Thank you for suggesting some workarounds.

Well, I've logged in on one of the virtual consoles (no X) and deleted the sessions. That took care of it for very few reboots, but the problem rapidly came back.

I'm also interested in making sure this is properly fixed. Is there any more information we can gather?

Revision history for this message
Antonio J. de Oliveira (ajoliveira) wrote :

I cured the bug for good with that fix on Jaunty, can't see it any more, it's up to developers now, I'm afraid, you seem to be up-front with Karmic. Sorry if I can't be of more help unless I came across with it again on one of my computers...

Revision history for this message
K_Mux (f-p-d) wrote :

@Rolf Leggewie
I had the bug crop up every week or so, until I did the following:

a) Do not boot up with external LCD conected.
Connect the LCD after you are on the desktop, and then use "xrandr --output VGA-0 --auto --outout LVDS off" followed by "xrandr --output LVDS --auto --left-of VGA-0" should work for you (you can't use your regular xrandr line, because then X will for some bizarre reason refuse to output to VGA-0, at least for me. "Forcing" it this way works...)

b) I set the following options in .config/xfce4-session.rc :
SaveOnExit=false
AutoSave=false
There is probably some graphical dialog for that, but... This was easier for me ;)

I have been free of the bug for the last 3 weeks (*crosses finger*)

Revision history for this message
ddoxey (dylan-doxey) wrote :

I tried removing saved sessions and inadvertently deleted something which damaged my system.

I did a clean install of Jaunty and the problem has not returned.

Revision history for this message
Incen (sesquipedalian-demagogue) wrote :

This problem recently appeared on my computer, and I'm pretty sure it was upgrading xfce4-session from 4.4.3-0ubuntu1~intrepid1 to 4.6.0-1ubuntu2 that did it.
This also swapped xfce4-mcs-plugins out for xfce4-settings. xfdesktop4 wasn't touched.

Revision history for this message
Sing-Tai Mok (stmok) wrote :

Have the same issue.

Upgraded from Xubuntu 8.04 LTS => Then 8.10 => Then 9.04

Tried the workarounds in the original bug description...It got worse. From 16 instances to 27 instances of xfdesktop!

Revision history for this message
Matthias Mailänder (mailaender) wrote :

Maybe I am having the same problem I see

"out of memory kill process 1919 (xfce4-session) score 1214548 or a child
killed process 1932 xfdesktop

As I am also affected by bug #465083 in Karmic I have no swap. The system boots into an unusable state. The recovery console does not work. The system simply boots further until I get a black screen, a sloppy mouse pointer and one xfdesktop killed after another.

Revision history for this message
Daev (daev) wrote :

I also had this problem, using xfce 4.6 with compiz as my window manager. I disabled the "Session Management" compiz plugin, and the problem stopped come back after this.

Changed in xfdesktop4 (Ubuntu):
assignee: nobody → Xubuntu Developers (xubuntu-dev)
Changed in xfwm4 (Ubuntu):
assignee: nobody → Xubuntu Developers (xubuntu-dev)
Changed in xfwm4 (Ubuntu):
assignee: Xubuntu Developers (xubuntu-dev) → nobody
Changed in xfdesktop4 (Ubuntu):
assignee: Xubuntu Developers (xubuntu-dev) → nobody
Changed in xfwm4 (Ubuntu):
status: New → Invalid
Revision history for this message
linux.girl (girllinux26) wrote :

I havet his problem every now and then, when it happens, I delete all cache sessions, reboot, and the problem goes away. I don't lose any of my desktop configs by doing that. I have xubuntu 9.10 karmic and it came with xfce4 already installed. The problem is not very frequent, but is quite annoying.

description: updated
Revision history for this message
Charlie Kravetz (charlie-tca) wrote :

Frustrating is correct. I have a fresh Xubuntu 9.10 install with this bug. Removing ~/.cache seemed to fail, it worked for a couple of restarts, then failed again. Have now removed xsplash and am testing to see how long that will work.

Revision history for this message
Kalon Mills (kalaxy) wrote :

I have also found like K_Mux noted above that this happens to me when related to dual monitor support. I did no upgrades to xfce but rather switched my video driver. I switched from the open source radeonhd to open source radeon driver. The radeonhd driver always initialized my dual screen without me having to do a bit of work; didn't even have to put it into my xorg.conf file. However when I switched into the radeon driver it defaulted to mirror mode on my dual screen and multiple instances of the window manager appeared.

I can verify that clearing the .cache/sessions fixes the problem for that time only. (If I ever save the session and restart then the problem reoccurs.) When starting with a fresh session it still starts in mirror mode. I use xrandr --output DVI-1 --right-of DVI-0 to properly initialize my screen and then I am good to go until restarting X.

Another work around is for me to only have one monitor attached, startx, plug in the other monitor, enable and configure the other monitor. I have not tried configuring my xorg.conf to default to a configured state which may also solve the problem. But I can confirm that in my case this issue is dual monitor/xrandr setup related.

Revision history for this message
Lionel Le Folgoc (mrpouit) wrote :

Lowering priority, nobody seems to experience it with Xfce 4.8.

Changed in xfdesktop4 (Ubuntu):
importance: Critical → High
Revision history for this message
Zhehao Mao (zhehao-mao) wrote :

I know this is a relatively old bug, but the problem seems to have reappeared in the most recent update in 11.04. Xfdesktop seems to load several times, causing the desktop to flicker in and out. Sometimes, xfdesktop just crashes and I have to start it again manually. It is not as severe for me as some reporters have mentioned, but it is a nuisance. I had a similar bug with xfce4 on Arch Linux which was eventually resolved. The bug report can be found at https://bugs.archlinux.org/task/24339. Perhaps a similar problem is happening here.

Revision history for this message
Rena Kunisaki (i-am-inuyasha) wrote :

This has suddenly started happening to me in 11.04 after changing some session settings. There were a few things I did that could have led to the problem...
First I changed my GDM settings to log in automatically. Shortly after doing this I came back to the machine after it had been idle for a while and found the mouse not working properly, unable to switch windows by Alt+tab, etc. It seemed as if something had grabbed the mouse, as if a menu were open somewhere that I couldn't close. xwininfo, import etc would also complain they couldn't grab the mouse.
I restarted and X failed to start. I discovered at this point that a capacitor on the GPU (an nVidia) had failed, so I replaced with an ATI I had around, changed the drivers, got Compiz working again, etc.
With the ATI card it would always start up with only one monitor enabled and I'd have to turn on the other with xrandr. I tried logging out and clicking "save this session" in hopes it would stay that way, and I suspect this is where the trouble really began.
Saving the session didn't fix the monitor layout (I still have to use xrandr every time I log in), but now it takes a very long time to log in, the splash screen flickers a lot, and I get messages about the tray area losing focus. The mouse grabbing problem also comes back about once a day, and the only way to fix it seems to be to restart X. No amount of killing processes would get it working again.
In diagnosing this issue I discovered that every time I log in, for some reason there are 6 instances of xfdesktop, xfce4-panel and xfwm4 started. Killing these doesn't seem to help anything either.

It seemed like changing the login settings broke something to cause the mouse issues, followed by a conveniently-timed hardware failure that forced me to switch video drivers, and then checking "save session" on logging out broke more things. I've had trouble getting the session management to do anything useful, so this seems like the most likely culprit here too...

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfdesktop4 - 4.8.3-1ubuntu2

---------------
xfdesktop4 (4.8.3-1ubuntu2) precise; urgency=low

  * debian/control:
    - b-dep on xfce4-dev-tools, autoconf, automake and libtool for xdt-autogen.
    - recommends tumbler.
  * debian/patches:
    - xubuntu_avoid-multiple-instances.patch: added, add a workaround to try to
      prevent several xfdesktop instances from managing the desktop at the
      same time. lp: #329616
    - xubuntu_fix-move-multiple-icons.patch: added, let people select and move
      multiple icons on the desktop... lp: #595658
    - xubuntu_use-tumbler.patch: added, use tumbler for thumbnails on the
      desktop.
  * debian/rules, debian/xfdesktop4-data.install: drop old wallpapers, cf.
    <https://blueprints.launchpad.net/ubuntu/+spec/other-p-xubuntu-cleanthemes>.
  * debian/rules: call xdt-autogen, needed by xubuntu_use-tumbler.patch, and
    cleanup autogenerated files.
 -- Lionel Le Folgoc <email address hidden> Wed, 04 Jan 2012 23:32:20 +0100

Changed in xfdesktop4 (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.